Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.util.classes
Interface ClassResolver

All Known Implementing Classes:
  JDOClassResolver, MultiLoaderClassResolver

public interface ClassResolver

Method Summary
`boolean` | `canResolveClass(String className)`
`boolean` | `equals(Object other)` The equals method must be overridden in order to return true for any two `ClassResolver`s that will resolve classes and resources in exactly the same way.
`int` | `hashCode()` This method must be overridden for the standard hashCode() contract that is used when overriding the equals methos.
`Class` | `resolveClass(String className)` Resolve the class for the specified name.
`InputStream` | `resolveResource(String resourceName)`

Method Detail

### resolveClass

    public Class resolveClass(String className)

  Resolve the class for the specified name.
  Parameters:
    `className` - the specified name to load
  Returns:
    the resolved class
  Throws:
    `JDOFatalUserException` - if the class cannot be loaded.

### resolveResource

    public InputStream resolveResource(String resourceName)

### canResolveClass

    public boolean canResolveClass(String className)

### equals

    public boolean equals(Object other)

  The equals method must be overridden in order to return true for any two `ClassResolver`s that will resolve classes and resources in exactly the same way. For example, if the `ClassResolver` is backed by a list of `ClassLoader`s, the equals method will return true if the two lists of `ClassLoader`s are equal.
  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  This method must be overridden for the standard hashCode() contract that is used when overriding the equals methos.
  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.